/* Global Styles */
body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background: linear-gradient(to bottom, #ffcc00, #ff6600, #993366, #663366);
}

.master {
    display: flex;
    justify-content: space-evenly;
}

.sidebar {
    position: fixed;
    top: 0;
    left: 0;
    height: 100vh;
    width: 24.5%;
    max-height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    overflow-y: auto;
    z-index: 999;
    box-sizing: border-box;
    transform: translateX(-100%);
    /* Updated value to -100% */
    transition: transform 0.3s ease, visibility 0s linear 0.3s;
    /* Added transition for visibility */
    visibility: hidden;
}

.sidebar.show {
    transform: translateX(0);
    visibility: visible;
    transition-delay: 0s;
    /* Reset transition delay */
}


.sidebar div {
    margin: 1rem;
}

.reviews-menu {
    position: fixed;
    top: 0;
    right: 0;
    height: 100vh;
    width: 24.5%;
    max-height: 100%;
    background-color: rgba(255, 255, 255, 0.8);
    overflow-y: auto;
    z-index: 999;
    box-sizing: border-box;
    transform: translateX(100%);
    transition: transform 0.3s ease, visibility 0s linear 0.3s;
    /* Added transition for visibility */
    visibility: hidden;
}

.reviews-menu.show {
    transform: translateX(0);
    visibility: visible;
    transition-delay: 0s;
    /* Reset transition delay */
}



.reviews-menu div {
    margin: 1rem;
}

.container {
    display: flex;
    flex-direction: column;
    max-width: 50%;
    margin: 0 auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
}

.container form {
    margin-top: 1rem;
}

.container form label {
    color: #333;
    font-weight: bold;
    display: block;
    margin-bottom: 0.5rem;
}

#contact-form input[type="email"],
.container form input[type="text"],
.container form textarea {
    width: 90%;
    padding: 10px;
    margin-bottom: 1rem;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

.container form textarea {
    height: 150px;
}

.container form input[type="submit"] {
    background-color: #FF6F61;
    color: #FFF;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

.container form input[type="submit"]:hover {
    background-color: #FF3B34;
}


header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: #FFF;
    border-top-left-radius: 20px;
    border-top-right-radius: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    z-index: 999;
    padding: 10px 20px;
    flex-wrap: wrap;
    /* Added flex-wrap */
}

.review {
    background-color: #FFF;
    border-radius: 1rem;
    padding: 1rem;
    margin-bottom: 1rem;
}
.scrolled {
    position: sticky;
    top: 0;
    border-top-left-radius: 0px;
    border-top-right-radius: 0px;
}

.logo img {
    max-width: 100%;
    height: auto;
    width: 60px;
    /* Adjust the width as needed */
}

/* Updated styles for the navigation bar */
header ul {
    list-style: none;
    margin: 0;
    padding: 0;
    display: flex;
    flex-wrap: wrap;
    justify-content: flex-end;
    align-items: center;
}

header ul li {
    margin-right: 10px;
}

header ul li a {
    text-decoration: none;
    color: #333;
    padding: 10px;
    border-radius: 1rem;
    margin-top: 1rem;
    margin-bottom: 1rem;
}

/* Media Queries */
@media screen and (max-width: 768px) {

    /* Adjust the values based on your design needs */
    header ul li {
        margin-right: 5px;
    }

    header ul li a {
        padding: 5px;
    }
}

@media screen and (max-width: 480px) {

    /* Adjust the values based on your design needs */
    header ul li {
        margin-right: 2px;
    }

    header ul li a {
        padding: 3px;
    }
}

.schedule {
    background-color: #FF6F61;
    color: #FFF;
}

header ul li a:hover {
    outline: 2px solid #333;
}

main {
    flex: 1;
    overflow-y: auto;
    padding: 20px;
    text-align: center;
}

hr {
    border: none;
    border-top: 1px solid #000;
    margin: 1rem auto;
    max-width: 50%;
}

.gallery {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 10px;
}

.gallery-item {
    position: relative;
    width: calc(33.33% - 10px);
    /* Initially 3 photos per row */
    height: 300px;
    overflow: hidden;
    border-radius: 5px;
}

@media screen and (max-width: 768px) {
    .gallery-item {
        width: calc(50% - 10px);
        /* 2 photos per row on smaller screens */
    }
}

@media screen and (max-width: 480px) {
    .gallery-item {
        width: 100%;
        /* 1 photo per row on even smaller screens */
    }
}


.gallery-item img {
    display: block;
    width: 100%;
    height: 100%;
    object-fit: cover;
    transition: transform 0.3s ease;
}

.gallery-item:hover img {
    transform: scale(1.1);
}

.gallery-item .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.6);
    opacity: 0;
    transition: opacity 0.3s ease;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    color: #fff;
    font-size: 1.2rem;
    cursor: pointer;
}

.gallery-item:hover .overlay {
    opacity: 1;
}


section {
    margin-bottom: 40px;
}

h1 {
    color: #333;
}

.route {
    margin-bottom: 20px;
    position: relative;
}

.route .image-overlay {
    position: relative;
    display: inline-block;
    overflow: hidden;
    /* Add overflow property */
}

.route img {
    width: 100%;
    max-width: 500px;
    height: auto;
    display: block;
    border-radius: 5px;
    margin: 0;
    padding: 0;
}

.route .overlay-content {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 90%;
    max-width: 500px;
    padding: 20px;
    background-color: rgba(0, 0, 0, 0.4);
    opacity: 1;
    transition: opacity 0.3s ease;
    border-radius: 5px;
    box-sizing: border-box;
    color: #fff;
    font-size: 1.2rem;
    margin: 0;
    overflow: auto;
    /* Add overflow property */
    max-height: 100%;
    /* Adjust to leave space for padding */
}


.route:hover .overlay-content {
    background-color: rgba(0, 0, 0, 0.6);
}

.route .overlay-content h2,
.route .overlay-content h3,
.route .overlay-content p {
    margin: 0;
}

.route .overlay-content p {
    display: none;
}

.route:hover .overlay-content h2,
.route:hover .overlay-content h3 {
    display: none;
}

.route:hover .overlay-content p {
    display: block;
    font-size: 1rem;
}


footer {
    color: #FFF;
    text-align: center;
    padding: 20px;
}

#message {
    width: 90%;
    min-width: 90%;
    max-width: 90%;
}

.highlight {
    color: #FF6F61;
    font-weight: bold;
}

.rev {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center; /* Center its child elements horizontally */
  max-width: 90%;
  margin: 0 auto;
  margin-top: 1rem;
  margin-bottom: 1rem;
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 20px;
  box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
      padding: 20px;
}

.rev h3 {
  font-size: 18px;
  color: #333333;
  margin-bottom: 10px;
}

.rev div {
  width: 90%;
}

.rev div input[type="text"] {
  width: 90%;
  max-width: 100%;
  padding: 10px;
  border: 1px solid #dddddd;
  border-radius: 4px;
  margin-bottom: 10px;
}

.rev input[type="submit"] {
  width: 100%;
  padding: 10px;
     background-color: #FF6F61;
  color: #ffffff;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}



#result {
  margin-top: 20px;
}

/* Form Styles */
.booking-form {
    display: flex;
    flex-direction: column;
    align-items: center;
    max-width: 90%;
    margin: 0 auto;
    margin-top: 1rem;
    margin-bottom: 1rem;
    background-color: rgba(255, 255, 255, 0.9);
    border-radius: 20px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    padding: 20px;
    padding-top: 30px;
}

.booking-form label {
    color: #333;
    font-weight: bold;
    display: block;
    margin-bottom: 0.5rem;
}

.booking-form select,
.booking-form input[type="date"],
.booking-form input[type="name"],
.booking-form input[type="password"],
.booking-form input[type="email"],
.booking-form input[type="number"] {
    width: 100%;
    padding: 10px;
    min-width: 100%;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    box-sizing: border-box;
    /* Add this line */
}


.booking-form input[type="submit"] {
    background-color: #FF6F61;
    color: #FFF;
    border: none;
    border-radius: 5px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

.booking-form input[type="submit"]:hover {
    background-color: #FF3B34;
}

@media screen and (max-width: 768px) {

    /* Mobile view: Adjust container width */
    .container {
        max-width: 100%;
    }

}

@media screen and (max-width: 768px) {
  header ul li a[href='#about'],
  header ul li a[href='#contact'],
  header ul li a.reviews { /* Target the "Reviews" button by class name */
    display: none;
  }
}